aboutsummaryrefslogtreecommitdiffstats
path: root/testing/icewm/APKBUILD
diff options
context:
space:
mode:
authorIsaac Dunham <ibid.ag@gmail.com>2014-06-15 22:34:24 -0700
committerNatanael Copa <ncopa@alpinelinux.org>2014-06-17 06:08:09 +0000
commitf1a11ebbcc7c8e1832da859ca38daf12f9f296cf (patch)
treea47887603e0bd3d1906f0a4a1d44ae5b2567ac10 /testing/icewm/APKBUILD
parent18b9efdcbe612256a59707c6626ebde12e4811ea (diff)
downloadaports-f1a11ebbcc7c8e1832da859ca38daf12f9f296cf.tar.gz
aports-f1a11ebbcc7c8e1832da859ca38daf12f9f296cf.tar.bz2
aports-f1a11ebbcc7c8e1832da859ca38daf12f9f296cf.tar.xz
Add icewm 1.3.8.
This is a relatively lightweight window manager that feels about like Windows 9x/2000 by default, but can be configured to look and act more like mwm or the OS/2 Presentation Manager quite easily. Themes are available online to make it look similar to Windows XP, Vista, and 7, OS X, plus quite a few unique ones. Icewm supports XPM transparency and animated buttons with appropriate themes. At present you will need to copy /usr/share/icewm to ~/.icewm and manually edit the examples provided (especially "menu").
Diffstat (limited to 'testing/icewm/APKBUILD')
-rw-r--r--testing/icewm/APKBUILD64
1 files changed, 64 insertions, 0 deletions
diff --git a/testing/icewm/APKBUILD b/testing/icewm/APKBUILD
new file mode 100644
index 0000000000..75f4333e28
--- /dev/null
+++ b/testing/icewm/APKBUILD
@@ -0,0 +1,64 @@
+# Contributor: Isaac Dunham <ibid.ag@gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag@gmail.com>
+pkgname=icewm
+pkgver=1.3.8
+pkgrel=0
+pkgdesc="A lightweight Win95/Motif-style window manager in C++"
+url="http://www.icewm.org"
+arch="all"
+license="LGPL2"
+depends=""
+depends_dev=""
+makedepends="gdk-pixbuf-dev libx11-dev util-macros fontconfig-dev freetype-dev libxft-dev libxinerama-dev libice-dev libxrandr-dev libsm-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/icewm/icewm-$pkgver.tar.gz
+backtrace_on_glibc.patch"
+
+_builddir="$srcdir"/icewm-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ cp /usr/share/abuild/config.sub ./
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-guievents \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+doc() {
+ cd "$_builddir"
+ make DESTDIR="$subpkgdir" install-docs install-man || return 1
+ for _doc in AUTHORS BUGS README TODO; do
+ install -Dm644 "$srcdir"/$pkgname-$pkgver/$_doc "$subpkgdir"/usr/share/doc/$pkgname/$_doc || return 1
+ done
+ install -Dm644 "$srcdir"/$pkgname-$pkgver/COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="6d61aced3bd20b9e7caeb7e8380368c8 icewm-1.3.8.tar.gz
+9abf33b667e9b0b802da94bdcf974252 backtrace_on_glibc.patch"
+sha256sums="17588d9e0bbbb23587bc04c83da9dd94fd4da6894ecfee6d7f3ed50d780dcd18 icewm-1.3.8.tar.gz
+9894a8d8cd5f8f372662633e2b264ef1cea8d3ea10e4586ef210f493afdd443c backtrace_on_glibc.patch"
+sha512sums="ce9bf3e736a2f3fad4bbf731647b4e4ad0168cd2c4af66b1c43beef9ceeee39d14909714d2fc73ab13f6c285a74dfe31fffc9677ae8bd2d1077716cd6d6afb72 icewm-1.3.8.tar.gz
+b844bd0a0e839580e8212b22af9638503b6969c64f98a89bdeadef8e0121fd8668a3246d304e30fe4ba9097ce7767961ec87ac0e8df04abdbc5ec17ae3ce2451 backtrace_on_glibc.patch"